These changes were necessary in order to allow LinuxBIOS to
install windows from an installation CD. Windows seems
to require that the BIOS used during installation be the
same used to run it after installed.

 - In the file loader.s I  commented out the CMOS settings
   that force booting from Hard Disk.

 - In the rombios.c the functions responsible for booting
   from CD-ROM are turned on.  

These changes are only necessary to install windows, after
installed they are no longer needed.

Signed-off-by: Augusto Pedroza <augusto.pedroza@gmail.com>

Index: util/ADLO/loader.s
===================================================================
--- util/ADLO/loader.s	(revision 2739)
+++ util/ADLO/loader.s	(working copy)
@@ -177,10 +177,10 @@
 ; 0x02 - hdd
 ; In future there will be 'fd failover'option in bochs.
 
-mov  al, #0x3d ;; cmos_reg
-out  0x70, al
-mov  al, #0x02 ;; val (hdd)
-out  0x71, al
+;mov  al, #0x3d ;; cmos_reg
+;out  0x70, al
+;mov  al, #0x02 ;; val (hdd)
+;out  0x71, al
 
 ;-----------------------------------------------------
 ; IV) tell BOCHS' BIOS length of our mem block @ 1mb.
Index: util/ADLO/bochs/bios/rombios.c
===================================================================
--- util/ADLO/bochs/bios/rombios.c	(revision 2739)
+++ util/ADLO/bochs/bios/rombios.c	(working copy)
@@ -147,7 +147,7 @@
 #define LINUXBIOS	1
 
 #define BX_USE_ATADRV    1
-//#define BX_ELTORITO_BOOT 1
+#define BX_ELTORITO_BOOT 1
 
 #define BX_MAX_ATA_INTERFACES   4
 #define BX_MAX_ATA_DEVICES      (BX_MAX_ATA_INTERFACES*2)
